Skip to main content

Agent completed transport drain

POST
/tasks/transport-ready/{id}

Records completion of TCP/TLS/UDP drain on an agent. Once every task agent is ready, the controller allows IKE teardown on all of them simultaneously.

Contract

Parameter
Value
Sectiontasks
AuthenticationAgentAuth
Consumesapplication/json
Producesapplication/json

Parameters

2 parameters

Name
Location
Required
Type
Description
idpathyesintegerTask ID
requestbodyyesobjectHostname of the ready agent
  • {
      "hostname": "<string>"
    }

Responses

5 responses

Status
Description
Type
200
Number of ready agentsobject
400
Invalid ID or request bodyobject
403
Agent is not assigned to the taskobject
404
Task not foundobject
409
Task is no longer being trackedobject
  • {}
  • {
      "data": {},
      "error": "<string>"
    }
  • {
      "data": {},
      "error": "<string>"
    }
  • {
      "data": {},
      "error": "<string>"
    }
  • {
      "data": {},
      "error": "<string>"
    }